﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using System.Drawing;
using Telerik.WinControls.Primitives;

namespace FileExplorer
{
    class CustomButton : RadButtonElement
    {
        protected override void OnMouseEnter(EventArgs e)
        {
            this.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Visible;
            this.fillPrimitive.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local);
            this.fillPrimitive.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local);
            this.fillPrimitive.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local);
            this.fillPrimitive.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local);
            base.OnMouseEnter(e);
            Console.WriteLine("reset");
        }

        protected override void OnMouseLeave(EventArgs e)
        {
            this.fillPrimitive.BackColor = Color.Transparent;
            this.fillPrimitive.BackColor2 = Color.Transparent;
            this.fillPrimitive.BackColor3 = Color.Transparent;
            this.fillPrimitive.BackColor4 = Color.Transparent;
            this.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Collapsed;
            base.OnMouseLeave(e);
            Console.WriteLine("transparent");
        }

        protected override Type ThemeEffectiveType
        {
            get
            {
                return typeof(RadButtonElement);
            }
        }
    }
}
