﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using Telerik.WinControls.Primitives;
using System.Drawing;

namespace FileExplorer
{
    class CustomToggleButton : RadToggleButtonElement
    {

        protected override void CreateChildElements()
        {
            base.CreateChildElements();
         
        }

        protected override void OnToggleStateChanged(StateChangedEventArgs e)
        {
            if (e.ToggleState == Telerik.WinControls.Enumerations.ToggleState.On)
            {
                this.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Visible;
                this.fillPrimitive.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local);
                this.fillPrimitive.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local);
                this.fillPrimitive.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local);
                this.fillPrimitive.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local);
            }
            else
            {
                this.fillPrimitive.BackColor = Color.Transparent;
                this.fillPrimitive.BackColor2 = Color.Transparent;
                this.fillPrimitive.BackColor3 = Color.Transparent;
                this.fillPrimitive.BackColor4 = Color.Transparent;
                this.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Collapsed;
            }
            base.OnToggleStateChanged(e);
        }

        protected override Type ThemeEffectiveType
        {
            get
            {
                return typeof(RadToggleButtonElement);
            }
        }
    }
}
