﻿Imports System.Linq
Imports System.Text
Imports Telerik.WinControls.UI
Imports Telerik.WinControls.Primitives

Namespace FileExplorer
	Friend Class CustomButton
		Inherits RadButtonElement
		Protected Overrides Sub OnMouseEnter(ByVal e As EventArgs)
			Me.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Visible
			Me.fillPrimitive.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local)
			Me.fillPrimitive.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local)
			Me.fillPrimitive.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local)
			Me.fillPrimitive.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local)
			MyBase.OnMouseEnter(e)
			Console.WriteLine("reset")
		End Sub

		Protected Overrides Sub OnMouseLeave(ByVal e As EventArgs)
			Me.fillPrimitive.BackColor = Color.Transparent
			Me.fillPrimitive.BackColor2 = Color.Transparent
			Me.fillPrimitive.BackColor3 = Color.Transparent
			Me.fillPrimitive.BackColor4 = Color.Transparent
			Me.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Collapsed
			MyBase.OnMouseLeave(e)
			Console.WriteLine("transparent")
		End Sub

		Protected Overrides ReadOnly Property ThemeEffectiveType() As Type
			Get
				Return GetType(RadButtonElement)
			End Get
		End Property
	End Class
End Namespace
