﻿Imports System.Linq
Imports System.Text
Imports Telerik.WinControls.UI
Imports Telerik.WinControls.Primitives

Namespace FileExplorer
	Friend Class CustomToggleButton
		Inherits RadToggleButtonElement

		Protected Overrides Sub CreateChildElements()
			MyBase.CreateChildElements()

		End Sub

		Protected Overrides Sub OnToggleStateChanged(ByVal e As StateChangedEventArgs)
			If e.ToggleState = Telerik.WinControls.Enumerations.ToggleState.On Then
				Me.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Visible
				Me.fillPrimitive.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local)
				Me.fillPrimitive.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local)
				Me.fillPrimitive.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local)
				Me.fillPrimitive.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local)
			Else
				Me.fillPrimitive.BackColor = Color.Transparent
				Me.fillPrimitive.BackColor2 = Color.Transparent
				Me.fillPrimitive.BackColor3 = Color.Transparent
				Me.fillPrimitive.BackColor4 = Color.Transparent
				Me.borderPrimitive.Visibility = Telerik.WinControls.ElementVisibility.Collapsed
			End If
			MyBase.OnToggleStateChanged(e)
		End Sub

		Protected Overrides ReadOnly Property ThemeEffectiveType() As Type
			Get
				Return GetType(RadToggleButtonElement)
			End Get
		End Property
	End Class
End Namespace
